package eclipse.jface.dialogexamples;

import java.lang.reflect.InvocationTargetException;

import org.eclipse.core.runtime.IProgressMonitor;
import org.eclipse.jface.operation.IRunnableWithProgress;

/**
 * @author Mickael BARON (baron.mickael@gmail.com)
 * 
 * Date : March 2008
 */
public class WorkLessOperation implements IRunnableWithProgress {

	private static final int TOTAL_TIME = 10000;

	private static final int INCREMENT = 500;

	private boolean indeterminate;

	public WorkLessOperation(boolean indeterminate) {
		this.indeterminate = indeterminate;
	}

	public void run(IProgressMonitor monitor) throws InvocationTargetException,
			InterruptedException {
		monitor.beginTask("Operation \"WorkLess\" en cours",
				indeterminate ? IProgressMonitor.UNKNOWN : TOTAL_TIME);

		for (int total = 0; total < TOTAL_TIME && !monitor.isCanceled(); total += INCREMENT) {
			Thread.sleep(INCREMENT);
			monitor.worked(INCREMENT);
			if (total == TOTAL_TIME / 2)
				monitor
						.subTask("La moitié de l'opération \"WorkLess\" est réalisée");
		}
		monitor.done();
		if (monitor.isCanceled())
			throw new InterruptedException("Opération \"WorkLess\" annulée");
	}
}
