package eclipse.jface.preferenceexamples;

import java.io.IOException;

import org.eclipse.jface.preference.PreferenceDialog;
import org.eclipse.jface.preference.PreferenceManager;
import org.eclipse.jface.preference.PreferenceNode;
import org.eclipse.jface.preference.PreferenceStore;
import org.eclipse.swt.widgets.Display;

/**
 * @author Mickael BARON (baron.mickael@gmail.com)
 * 
 * Date : March 2008
 */
public class PreferenceFieldEditorExample {
	public PreferenceFieldEditorExample() {
		Display myDisplay = new Display();

		PreferenceManager mgr = new PreferenceManager();

		PreferenceNode one = new PreferenceNode("one",
				new PreferenceFieldEditorPageOne());
		PreferenceNode two = new PreferenceNode("two",
				new PreferenceFieldEditorPageTwo());

		mgr.addToRoot(one);
		mgr.addToRoot(two);

		PreferenceDialog myPreferenceDialog = new PreferenceDialog(null, mgr);

		PreferenceStore ps = new PreferenceStore("fieldprefs.properties");
		try {
			ps.load();
		} catch (IOException e) {
			e.printStackTrace();
		}

		myPreferenceDialog.setPreferenceStore(ps);
		myPreferenceDialog.open();

		try {
			ps.save();
		} catch (IOException e) {
			e.printStackTrace();
		}

		myDisplay.dispose();
	}

	public static void main(String[] args) {
		new PreferenceFieldEditorExample();
	}
}